Bug 1017994 - Review Request: rubygem-climate_control - Modify your ENV easily
Review Request: rubygem-climate_control - Modify your ENV easily
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 19:29 EDT by Ken Dreyer
Modified: 2014-05-15 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 21:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-10-10 19:29:39 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-climate_control.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-climate_control-0.0.3-1.fc21.src.rpm
Description: ClimateControl can be used to temporarily assign environment variables within a code block.
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6048881
Comment 1 Björn "besser82" Esser 2013-10-24 03:28:09 EDT
taken  ;)
Comment 2 Ken Dreyer 2013-11-22 17:08:53 EST
Hi Björn, are you still able to review this package?
Comment 3 Ken Dreyer 2013-12-02 10:59:56 EST
Hi Björn, just a friendly "ping" to see if you're still able to review this package?
Comment 4 Björn "besser82" Esser 2013-12-11 13:52:17 EST
Sorry for the extremely long delay on this, Ken.  Shame on me, man!!!  :(

Package LGTM, besides one small thing (see rpmlint).  ;)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-climate_control-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems

  ---> false positive:  spec has `Requires: ruby(rubygems)`


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/1017994-rubygem-
     climate_control/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc

     ---> those dirs should be owned by rubygems-package, as Required.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude
     /usr/share/gems/cache/climate_control-0.0.3.gem,
     /usr/share/gems/gems/climate_control-0.0.3/lib,
     /usr/share/gems/specifications/climate_control-0.0.3.gemspec
[x]: Gem package should exclude cached Gem.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-climate_control-0.0.3-1.fc21.noarch.rpm
          rubygem-climate_control-doc-0.0.3-1.fc21.noarch.rpm
          rubygem-climate_control-0.0.3-1.fc21.src.rpm
rubygem-climate_control.noarch: E: description-line-too-long C ClimateControl can be used to temporarily assign environment variables within a code block.
rubygem-climate_control.src: E: description-line-too-long C ClimateControl can be used to temporarily assign environment variables within a code block.
3 packages and 0 specfiles checked; 2 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-climate_control rubygem-climate_control-doc
rubygem-climate_control.noarch: E: description-line-too-long C ClimateControl can be used to temporarily assign environment variables within a code block.
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'

---> please break lines after a max of 80 char.


Requires
--------
rubygem-climate_control (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)
    rubygem(activesupport)

rubygem-climate_control-doc (rpmlib, GLIBC filtered):
    rubygem-climate_control



Provides
--------
rubygem-climate_control:
    rubygem(climate_control)
    rubygem-climate_control

rubygem-climate_control-doc:
    rubygem-climate_control-doc



Source checksums
----------------
https://rubygems.org/gems/climate_control-0.0.3.gem :
  CHECKSUM(SHA256) this package     : a5e8109935ad74e63ddbc20f37fb25f01737cd8a7dc99964d89ca26526b7334f
  CHECKSUM(SHA256) upstream package : a5e8109935ad74e63ddbc20f37fb25f01737cd8a7dc99964d89ca26526b7334f


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1017994
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!

Please fix that `description-line-too-long` during import.
Comment 5 Ken Dreyer 2013-12-11 14:57:54 EST
Cool, thanks for the review! I will fix the rpmlint description before building.

New Package SCM Request
=======================
Package Name: rubygem-climate_control
Short Description: Modify your ENV easily
Owners: ktdreyer
Branches: f20
Comment 6 Gwyn Ciesla 2013-12-11 15:08:50 EST
Git done (by process-git-requests).
Comment 7 Ken Dreyer 2014-05-15 21:10:04 EDT
This was built for F20 and F21. Thanks again for the review.

Note You need to log in before you can comment on or make changes to this bug.